Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtVectorFieldArrow Class Reference

`#include <qwt_vectorfield_symbol.h>`

Inheritance diagram for QwtVectorFieldArrow:

## Public Member Functions
| QwtVectorFieldArrow (qreal headWidth=6.0, qreal tailWidth=1.0)
| Constructor. More...
virtual | ~QwtVectorFieldArrow () override
| Destructor.
virtual void | setLength (qreal length) override
virtual qreal | length () const override
virtual void | paint (QPainter *) const override
| Draw the symbol/arrow.
Public Member Functions inherited from QwtVectorFieldSymbol
| QwtVectorFieldSymbol ()
| Constructor.
virtual | ~QwtVectorFieldSymbol ()
| Destructor.

## Detailed Description

Arrow implementation that draws a filled arrow with outline, using a triangular head of constant width.

Definition at line 61 of file qwt_vectorfield_symbol.h.

## Constructor & Destructor Documentation

## ◆ QwtVectorFieldArrow()

QwtVectorFieldArrow::QwtVectorFieldArrow | ( | qreal | headWidth = `6.0`,
|  | qreal | tailWidth = `1.0`
| ) |  |

Constructor.

The length is initialized by headWidth + 4

Parameters

  headWidth | Width of the triangular head
  tailWidth | Width of the arrow tail

See also
  setLength()

Definition at line 74 of file qwt_vectorfield_symbol.cpp.

## Member Function Documentation

## ◆ length()

qreal QwtVectorFieldArrow::length | ( |  | ) | const
| override virtual

Returns
  length of the symbol/arrow

See also
  setLength()

Implements QwtVectorFieldSymbol.

Definition at line 90 of file qwt_vectorfield_symbol.cpp.

## ◆ setLength()

void QwtVectorFieldArrow::setLength | ( | qreal | length | ) |
| override virtual

Set the length of the symbol/arrow

See also
  length()

Implements QwtVectorFieldSymbol.

Definition at line 85 of file qwt_vectorfield_symbol.cpp.